/********************************** (C) COPYRIGHT *******************************
 * File Name          : Main.c
 * Author             : WCH
 * Version            : V1.0
 * Date               : 2020/08/06
 * Description        : 1շʾ
 * Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/

#include "CH58x_common.h"
uint8_t TxBuff[] = "This is a tx exam\r\n";
/*********************************************************************
 * @fn      main
 *
 * @brief   
 *
 * @return  none
 */
int main()
{
    uint8_t len;

    SetSysClock(CLK_SOURCE_PLL_60MHz);
    GPIOB_SetBits(GPIO_Pin_22);
    GPIOB_ModeCfg(GPIO_Pin_22, GPIO_ModeOut_PP_5mA);
    /* ô1IOģʽô */
    GPIOA_SetBits(GPIO_Pin_9);
    GPIOA_ModeCfg(GPIO_Pin_8, GPIO_ModeIN_PU);      // RXD-
    GPIOA_ModeCfg(GPIO_Pin_9, GPIO_ModeOut_PP_5mA); // TXD-עIOߵƽ
    UART1_DefInit();
#if 1 // Դڷַ
    UART1_SendString(TxBuff, sizeof(TxBuff));
#endif
    PowerMonitor(ENABLE, HALevel_2V5);
    PFIC_EnableIRQ(WDOG_BAT_IRQn);
    while(1)
    {
        UART1_SendByte('A');
        DelayMs(500);
    }
}



__INTERRUPT
__HIGH_CODE
void WDOG_BAT_IRQHandler(void)
{
    GPIOB_ResetBits(GPIO_Pin_22);
    UART1_SendByte('B');
}
